@import url('https://fonts.googleapis.com/css2?family=Inter:wght@100;200;300;400;500;600;700;800;900&display=swap');


body {
    font-family: 'Inter', sans-serif;
    background: white;
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    min-height: 100vh;

}
#displayphotologo{
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;

}

#myBtn{
    position: relative !important;
    margin:0 !important;
    top: unset !important;
    right: unset !important;
    left: unset !important;
    grid-column: 1/2;
}
.second-overlay{
    display: grid !important;
    grid-template-columns: repeat(3,1fr);
    align-items: center;
    
}
.lang{
    grid-column: 3/4;
}
#servicelogo{
    grid-column: 2/3;
    margin: auto;
}
.mobile {
    top: -9px;
    left: 32px;
    padding: 2px 8px;
    color: #006994;
    font-size: 13px !important;
    position: absolute;

    pointer-events: none;
    transition: .5s ease;
    background-color: white;
}

.pin {
    top: -9px;
    left: 32px;
    padding: 2px 8px;
    color: #006994;
    font-size: 13px !important;
    position: absolute;

    pointer-events: none;
    transition: .5s ease;
    background-color: white;
}

.field {
    display: block;
    background: white;
    border: 2px solid #006994;
    border-radius: 8px;
    position: relative;
    width: 100% !important;
    margin: 15px auto;
    margin-top: 30px;
    /* padding-left: 10px; */
    box-sizing: border-box;
    animation: heartbeat 1.75s ease-in-out infinite both;
    animation-play-state: paused;
    height: 64px;
    margin-bottom: 15px;
}
@keyframes heartbeat {
    0% {
        -webkit-transform: scale(1);
        transform: scale(1);
        -webkit-transform-origin: center center;
        transform-origin: center center;
        -webkit-animation-timing-function: ease-out;
        animation-timing-function: ease-out;
    }
    10% {
        -webkit-transform: scale(.91);
        transform: scale(.91);
        -webkit-animation-timing-function: ease-in;
        animation-timing-function: ease-in;
    }
    17% {
        -webkit-transform: scale(.98);
        transform: scale(.98);
        -webkit-animation-timing-function: ease-out;
        animation-timing-function: ease-out;
    }
    33% {
        -webkit-transform: scale(.87);
        transform: scale(.87);
        -webkit-animation-timing-function: ease-in;
        animation-timing-function: ease-in;
    }
    45% {
        -webkit-transform: scale(1);
        transform: scale(1);
        -webkit-animation-timing-function: ease-out;
        animation-timing-function: ease-out;
    }
}
#countrycode,
#phone, #pin {
    border: none;
    outline: none;
    height: 60px !important;
}
#box-num #phone, #pin{
    text-align: left;
}
.field-alert.active {
    display: block;
}

.field-alert {
    position: absolute;
    left: 50%;
    bottom: 100%;
    margin-bottom: 14px;
    margin-left: -135px;
    width: 270px;
    background: #fc5b53;
    border-radius: 5px;
    padding: 3px 5px;
    color: white;
    font-size: 14px;
    animation: shake 5s ease-in-out 5 both;
    display: none;
    opacity: 0;
    transition: opacity 1s ease-in-out;

}

.field-alert.show {
    animation: fadeIn 1s ease-in-out 4s forwards;
    /* 4s delay before animation starts */
}

.field-alert:after {
    content: '';
    position: absolute;
    top: 100%;
    left: 50%;
    width: 0;
    height: 0;
    margin-left: -10px;
    border-left: 10px solid transparent;
    border-right: 10px solid transparent;
    border-top: 10px solid #fc5b53;
}

@keyframes fadeIn {
    to {
        opacity: 1;
    }
}

#svg_phone
    {
        position: absolute;
        animation: shake1 3s;
        top: 16px;
        left: 8px;
        fill: #464646;
        pointer-events: none;
        transition: 0.5s ease;
        width: 15px;
        animation: shake 3s;

    }


#check_phone{

    position: absolute;
    top: 18px;
    right: 14px;
    width: 24px;
    height: 24px;
    fill: #464646;
    pointer-events: none;
    transition: 0.5s ease;
}
@keyframes shake{
    10%, 90% {
        transform: translate3d(-1px, 0, 0);
        -webkit-transform: translate3d(-1px, 0, 0);
    }
    
    20%, 80% {
        transform: translate3d(2px, 0, 0);
        -webkit-transform: translate3d(2px, 0, 0);
    }
    30%, 50%, 70% {
        transform: translate3d(-2px, 0, 0);
        -webkit-transform: translate3d(-2px, 0, 0);
    }
    40%, 60% {
        transform: translate3d(2px, 0, 0);
        -webkit-transform: translate3d(2px, 0, 0);
    }
}
#maindiv {
    max-width: 400px;
    margin: 0 auto;
    padding: 0 24px 24px;
    position: relative;
    box-sizing: border-box;
}
#maindiv .btn{
    padding: 1rem 0 !important;
    box-shadow: none !important;
    font-size: 20px !important;
    border-radius: 10px;
    text-transform: uppercase;
    cursor: pointer;
    font-weight: bold;
    width: 100% !important;
    background-color: #006994 !important;
    color: white !important;
}
#box-num, #box-code {
    width: unset !important;
    background: #ffffffcc;
    border-radius: 10px;
    padding: 10px;
}
#maindiv #langbar{
    background: white !important;
    font-size: 20px !important;
    color: black !important;
}
#maindiv #langbar option{
    font-size: 20px;
    color: black !important;
}

#maindiv .btn[disabled]{
    background: rgba(0, 0, 0, .1) !important;
    color: rgba(0, 0, 0, .3) !important;
    box-shadow: none !important; 
}
.webt-icon {
    width: 220px;
    height: 220px;
    margin: auto;
    position: relative;
}
.icon-progress {
    width: 100%;
    height: 100%;
    position: relative;
}
.icon-progress__bg {
    fill: none;
    stroke: rgba(0,0,0,.1);
}
@keyframes progress-1 {
    0% {
        stroke-dashoffset: 800;
    }
    100% {
        stroke-dashoffset: 0;
    }
}
.meter-1 {
    stroke-dasharray: 800;
    stroke-dashoffset: 0;
    stroke: #006994;
    stroke-width: 14px;
    animation: progress-1 1.3s ease-in-out;
    animation-play-state: paused;
}
body.animations-ready .meter-1,
body.animations-ready .field {
    animation-play-state: running;
}
.webt-icon .progress_arrow {
    width: 135px;
    height: auto;
}
.webt-icon__arrow {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 45%;
    height: auto;
}
@media only screen and (max-width: 480px) {
    .webt-icon {
        width: 120px;
        height: 120px;
    }
    .webt-icon .progress_arrow {
        width: 75px;
    }
    .steps {
        margin: 4px 0 8px;
    }
    .field {
        margin: 8px auto 8px;
    }
    #maindiv {
        padding: 0 16px 6px;
    }
    .footer {
        padding: 0 16px 8px;
    }
    #div3 {
        margin-top: 6px !important;
    }
    #div3 p {
        margin: 0 0 6px;
    }
    .btn-hint {
        padding: 0.7rem 2rem;
    }
    h4 {
        margin: 8px 0;
    }
    .price {
        margin: 4px 0 0;
    }
}
.progress_arrow {
    transition: all 1s;
    -webkit-animation: bounceUpDown 2s ease-in-out infinite;
    -o-animation: bounceUpDown 2s ease-in-out infinite;
    animation: bounceUpDown 2s ease-in-out infinite;
}

.webt-icon__value {
    color: #006994;
    display: flex;
    width: 100%;
    height: 100%;
    justify-content: center;
    align-items: center;
    text-align: center;
    position: absolute;
    font-size: 46px;
    font-weight: 600;
    top: 0;
    left: 0;
}
.webt-icon .value {
    fill: #006994;
    text-anchor: middle;
    font-weight: 600;
    font-size: 42px;
    transition: all 1s;
}
.steps {
    color: #404040;
    font-size: 12px;
    line-height: 1.18;
    text-align: left;
    text-transform: uppercase;
    margin: 10px 0;
    margin-bottom: 28px;
}
.d-none {
    display: none;
}
.step1, .step2 {
    float: left;
    width: calc(50% - 8px);
    height: 8px;
    background: rgba(0,0,0,.1);
    border-radius: 2px;
    overflow: hidden;
    margin-top: 8px;
    margin-left: 8px;

}
.steps [data-trans="step-1"], .steps [data-trans="step-2"]  {
margin: 0 10px;
}
.step1:after {
    content: '';
    display: block;
    border-radius: 2px;
    width: 10%;
    height: 8px;
    background: linear-gradient(273.01deg,#1b6bff -8.03%,#006994 109.58%);
    transition: .5s ease;
}

.step-1-full:after {
    width: 100%;
}

.step-2-active:after {
    content: '';
    display: block;
    border-radius: 2px;
    width: 10%;
    height: 8px;
    background: linear-gradient(273.01deg,#1b6bff -8.03%,#006994 109.58%);
    transition: .5s ease;
}

.steps:after {
    content: '';
    display: table;
    clear: both;
}

#div3_pre {
  padding-left: 5%;
  padding-right: 5%;
}

.modal {
  display: none;
  position: fixed;
  /* Stay in place */
  z-index: 1;
  /* Sit on top */
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  overflow: auto;
  /* Enable scroll if needed */
  background-color: rgba(0, 0, 0, 0.4);
  /* Black w/ opacity */
}

/* Style the modal content */
.modal-content {
  background-color: #fefefe;
  margin: auto;
  padding: 20px;
  border: 1px solid #888;
  width: 80%;
  /* Could be more or less, depending on screen size */
}

/* Style the close button */
.close {
  color: #aaa;
  float: right;
  font-size: 28px;
  font-weight: bold;
}

.close:hover,
.close:focus {
  color: black;
  text-decoration: none;
  cursor: pointer;
}

.btn-hint span {
  display: block;
  font-size: 11px;
  font-weight: 400;
}

.btn-hint {
  width: 80% !important;
  display: inline-block;
  box-shadow: 0px 5px 40px -10px rgba(0, 0, 0, 0.57);
  padding-top: 22px;
  text-align: center;
  font-size: 30px;
  text-transform: uppercase;
  padding-right: 0px !important;
  padding-left: 0px !important;
  padding: 1.5rem 2rem;
}

.btn[disabled] {
  background: silver !important;
  color: white !important;
}


#countrycode,
#phone, 
#pin {
  background-color: none !important;
  color: grey !important;
  font-size: 20px;
  height: 50px;
  border-top: none;
  border-right: none;
  border-left: none;
  color: black !important;
  text-align: center;
}

#countrycode {
  padding-left: 10px;
}

#pin {
  text-align: center;
  font-size: 20px;
  background: none;
  background-color: transparent;
}

#myBtn {
  background: transparent;
  border: none;
  cursor: pointer;
}

.offcanvas {
  position: fixed;
  top: 0;
  left: -100%;
  width: 300px;
  height: 100%;
  background-color: #fff;
  box-shadow: -2px 0 5px rgba(0, 0, 0, 0.1);
  transition: left 0.3s ease;
  z-index: 1000;
  padding: 20px;
  overflow: hidden
}

.offcanvas.active {
  left: 0;
}

#offcanvas .close-offcanvas {
  font-size: 30px;
  border: none;
  background: transparent;
  cursor: pointer;
  margin-bottom: 20px;
  text-align: right;
  width: 100%;

}

#offcanvas nav ul {
  list-style: none;
  padding: 0;
}

#offcanvas nav li {
  margin: 15px 0;
}

#offcanvas nav li a {
  color: black;
  text-decoration: none;
}

@media only screen and (min-width: 1025px) {
  .center {

    margin: auto;
    width: 30%;
    padding: 10px;
  }
}

.main {
  max-width: 400px;
  margin: 0 auto;
  padding: 60px 24px 24px;
  position: relative
}

.menu-btn {
  position: absolute;
  top: 20px;
  left: 24px;
  width: 32px;
  padding: 4px;
  margin-bottom: 20px;
  cursor: pointer
}

.menu-btn div {
  height: 4px;
  background: rgba(0, 0, 0, .5);
  border-radius: 2px
}

.menu-btn div+div {
  margin-top: 4px
}

input {
  outline: none;
  border: none;
}

input:focus, input:focus-visible, input:focus-within, input:active, input:target {
  outline: none;
  border: none;
}

.footer {
    margin: 0 auto;
    padding: 0 24px 5px;
    max-width: 400px;
    text-align: center;
}

.footer ul {
    list-style-position: inside;
    margin: 0;
    padding: 0;
}

.price {
    text-align: center;
    font-size: 10px;
    color: rgb(126, 140, 141);
}

.attention {
    font-size: 12px;
    line-height: 1;
    text-align: center;
    color: #ff3d3d;
    opacity: 0;
    margin: 0 0 5px;
}
.attention--show {
    -webkit-animation: blink 1s ease-in-out both;
    animation: blink 1s ease-in-out both;
}  
  
@-webkit-keyframes blink {
    0%, 50%, 100% { opacity: 1; }
    25%, 75% { opacity: 0; }
}

@keyframes blink {
    0%, 50%, 100% { opacity: 1; }
    25%, 75% { opacity: 0; } 
}


/*--------------------Message--------------------*/
.messageBox {
    /* display: flex; */
    display: none;
    position: fixed;
    z-index: 999;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    justify-content: center;
    align-items: center;
    backdrop-filter: blur(4.5px);
    background: rgba(0, 0, 0, .85);
    flex-direction: column;
    box-sizing: border-box;
}

.message__content {
    width: 90%;
    max-width: 350px;
    padding: 25px 20px;
    margin-top: calc( var(--vh,100vh) * -0.2);
    color: #000;
    background-color: #fff;
    border-radius: 15px;
    will-change: transform;
    place-self: center;
    animation-name: fadeInDown;
    animation-duration: 0.8s;
    animation-delay: 0.4s;
    animation-fill-mode: both;
    box-sizing: border-box;
}

.message__title {
    margin: 10px 0 5px;
    font-style: normal;
    font-weight: 600;
    font-size: 16px;
    line-height: 16px;
    text-align: center;
    color: #222222;
    box-sizing: border-box;
}

.message__close {
    position: absolute;
    width: 21px;
    height: 21px;
    font-size: 0;
    color: rgba(0, 0, 0, 0);
    cursor: pointer;
    padding: 12px;
    top: 0px;
    right: 0px;
    background: #ffffff;
    border: #fff 2px solid;
    box-sizing: border-box;
}
.message__close::before,
.message__close::after {
    content: "";
    position: absolute;
    top: 0;
    left: 50%;
    width: 2px;
    height: 100%;
    background-color: #393D3F;
    transform: translateX(-50%) rotate(-45deg);
}
  
.message__close::after {
    transform: translateX(-50%) rotate(45deg);
}

@keyframes fadeInDown {
    from { opacity: 0; transform: translate3d(0, -100%, 0); }
    50% { opacity: 1; }
    to { opacity: 1; transform: translate3d(0, 0, 0); }
}

#messageRedirect{
    text-align: center;
    margin: 15px auto 0;
    display: block;
    padding: 1rem 0 !important;
    box-shadow: none !important;
    font-size: 20px !important;
    border-radius: 10px;
    cursor: pointer;
    font-weight: 700;
    background-color: #006994 !important;
    color: #fff !important;
    text-decoration: none;
}

/*--------------------loader--------------------*/
.loader {
    /* display: flex; */
    display: none;
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    z-index: 110;
    justify-content: center;
    align-items: center;
    background-color: rgba(0, 0, 0, 0.85);
    backdrop-filter: blur(3px);
}

.loader__inner {
    display: inline-block;
    width: 30vmin;
    height: 30vmin;
    border: 3vmin solid rgba(255, 255, 255, .3);
    border-radius: 65%;
    border-top-color: #00e2ff;
    border-bottom-color: #ffbb00;
    transition: all 0.5s ease-in-out;
    -webkit-transition: all 0.5s ease-in-out;
    animation: spin 1s ease-in-out infinite alternate;
    -webkit-animation: spin 1s ease-in-out infinite alternate;
}

@keyframes spin {
    to { transform: rotate(360deg); border-radius: 20%; }
}

@-webkit-keyframes spin {
    to { -webkit-transform: rotate(360deg); border-radius: 20%; }
}


.d-none {
  display: none;
}

.footer__link {
    text-align: center;
    display: block;
    font-size: 11px;
    color: black;
}


#tel-div {
    display: flex;
    align-items: center;
    padding: 0 8px;
    height: 100%;
    box-sizing: border-box;
}

#countrycode {
    width: 20% !important;
    flex-shrink: 0;
    background-color: transparent !important;
    border-radius: 8px 0 0 8px;
}

#phone {
    width: 70% !important;
    flex: 1;
}